package com.nisum.mytime.repository;

import java.util.List;

import org.bson.types.ObjectId;
import org.springframework.data.mongodb.repository.MongoRepository;

import com.nisum.mytime.model.BillingDetails;

public interface TeamMatesBillingRepo extends MongoRepository<BillingDetails, String> {

	List<BillingDetails> findByProjectId(String projectId);

	List<BillingDetails> findByEmployeeId(String employeeId);
	
	BillingDetails findById(ObjectId id);
	
	List<BillingDetails>  findByEmployeeIdAndProjectId(String employeeId, String projectId);

}
